org.apache.commons.jelly.tags.define

## Class TaglibTag

- java.lang.Object
- - org.apache.commons.jelly.TagSupport
  - - org.apache.commons.jelly.tags.define.TaglibTag

All Implemented Interfaces:
  Tag

    public class TaglibTag
    extends TagSupport

The <taglib> tag is used to define a new tag library using a Jelly script. The tag library is identified by its `URI`. The tags for a taglib are declared using the `TagTag`. You can 'inherit' tags from a previously defined taglib, as well, allowing runtime extension of tag libraries

Version:
  $Revision: 155420 $
Author:
  James Strachan

### Field Summary

### Fields inherited from class org.apache.commons.jelly.TagSupport

`body, context, parent`

### Constructor Summary

Constructors
Constructor and Description
`TaglibTag()`
`TaglibTag(String uri)`

### Method Summary

Methods
`void` `doTag(XMLOutput output)` Evaluates this tag after all the tags properties have been initialized.
`DynamicTagLibrary` `getTagLibrary()`
`String` `getUri()`
`boolean` `isInherit()` Returns the inherit.
`void` `setInherit(boolean inherit)` Sets whether this dynamic tag should inherit from the current existing tag library of the same URI.
`void` `setUri(String uri)` Sets the namespace URI to register this new dynamic tag library with

### Methods inherited from class org.apache.commons.jelly.TagSupport

`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TaglibTag

    public TaglibTag()

#### TaglibTag

    public TaglibTag(String uri)

### Method Detail

#### doTag

    public void doTag(XMLOutput output)
               throws JellyTagException

Description copied from interface: `Tag`
Evaluates this tag after all the tags properties have been initialized.

Throws:
  `JellyTagException`

#### getUri

    public String getUri()

#### setUri

    public void setUri(String uri)

Sets the namespace URI to register this new dynamic tag library with

#### getTagLibrary

    public DynamicTagLibrary getTagLibrary()

#### isInherit

    public boolean isInherit()

Returns the inherit.

Returns:
  boolean

#### setInherit

    public void setInherit(boolean inherit)

Sets whether this dynamic tag should inherit from the current existing tag library of the same URI. This feature is enabled by default so that tags can easily be some tags can be overridden in an existing library, such as when making Mock Tags. You can disable this option if you want to disable any tags in the base library, turning them into just normal static XML.

Parameters:
  `inherit` - The inherit to set